[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# AddExitProc

Add an exit procedure to the exit procedure chain.

## Declaration

Source position: systemh.inc line 1532

`procedure AddExitProc(`
`Proc: TProcedure`
`);`

## Description

AddExitProc adds Proc to the exit procedure chain. At program exit, all procedures added in this way will be called in reverse order.

## Errors

None.

## See also

ExitProc |  | Exit procedure pointer.